package com.ekexiu.project.platform.views.pojo;

import com.ekexiu.project.platform.article.Article;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;

/**
 * Created by TT on 2019/3/1.
 */
@ExtendView(fromSentence = "article a INNER JOIN article_day_sum ads on a.id = ads.id",tableAlias = "a")
public class ArticleSum extends Article {
    private int sum;

    @CalcColumn(handlerClass = IntHandler.class, column = "ads.sum")
    public int getSum() {
        return sum;
    }

    public void setSum(int sum) {
        this.sum = sum;
    }
}
