package com.ekexiu.project.platform.views.pojo;

import com.ekexiu.project.platform.professor.Professor;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;

/**
 * Created by TT on 2019/3/13.
 */
@ExtendView(fromSentence = "professor c INNER JOIN professor_day_sum cds on c.id = cds.id",tableAlias = "c")
public class ProfessorSum extends Professor {
    private int sum;

    @CalcColumn(handlerClass = IntHandler.class, column = "cds.sum")
    public int getSum() {
        return sum;
    }

    public void setSum(int sum) {
        this.sum = sum;
    }
}
